सामग्री पर जाएँ

Grok Imagine Image Editing Quality

इंटीग्रेट करें

मॉडल id xai/grok-imagine-image/quality/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/quality/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.05 50 API क्रेडिट · ≈ ₽5.38 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
xAI इमेज एडिटिंग 2k तक #stylized#transform#typography

टेक्स्ट निर्देश से अधिकतम 3 इनपुट इमेज संपादित करता है, 1k या 2k आउटपुट और वैकल्पिक आस्पेक्ट रेशियो ओवरराइड के साथ

Doitong पर बनाया गया

Doitong समुदाय द्वारा Grok Imagine Image से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 16
Brand guidelines: Visual style: Cinematic Realistic: photorealistic live-action, shallow depth of...

Brand guidelines: Visual style: Cinematic Realistic: photorealistic live-action, shallow depth of field, dramatic lighting, film grain. Reference images context (match the visual style and elements from these): - reference photo (style_reference): use as visual reference for setting, objects, and...

Art style: Cinematic Realistic. Full-length view, the entire figure visible from head to feet, st...

Art style: Cinematic Realistic. Full-length view, the entire figure visible from head to feet, standing upright, a 24-year-old man centered in frame. He is a fictional everyman: slim, slightly under-built frame with noticeably slouched, rounded shoulders and a caved-in posture that reads as...

Art style: мультяшный. An extreme wide high-angle composition looking down at the sunlit yellow k...

Art style: мультяшный. An extreme wide high-angle composition looking down at the sunlit yellow kitchen table. Lily peers over the edge into her open turquoise lunchbox where Broc and Apple Slice sit side-by-side holding miniature bright red paper hearts aloft. Lily's expression transforms into...

Art style: Clay / Plasticine. ПОЖИЛАЯ АНЯ. Clay plasticine figure of an elderly woman with dark h...

Art style: Clay / Plasticine. ПОЖИЛАЯ АНЯ. Clay plasticine figure of an elderly woman with dark hair streaked with sculpted silver strands in a low bun. Her face is kind and lined, with visible clay texture. She wears a mustard-yellow knitted scarf over a dark-green cardigan. Silhouette tag:...

Art style: Clay / Plasticine. ЭЛЛИПСИС, другая локация. Гостиная с серыми незакрашенными стенами ...

Art style: Clay / Plasticine. ЭЛЛИПСИС, другая локация. Гостиная с серыми незакрашенными стенами освещена окном и голой лампой. Миша в тёмно-синей толстовке и Аня в горчичном свитере стоят у стены, у каждого кисть в правой руке. На полу ровно два ведра коралловой краски.. изменить одежду на...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 2: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 2: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 3: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 3: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 1: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 1: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 8000

बनाई जाने वाली इमेज का टेक्स्ट में विवरण।

resolution डिफ़ॉल्ट 1k

मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।

डिफ़ॉल्ट auto

इमेज संपादन के लिए आउटपुट आस्पेक्ट-रेशियो सेटिंग, जिसमें `auto` पहले इनपुट के अनुपातों का उपयोग करता है। यह स्वचालित सेटिंग डिफ़ॉल्ट है।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली इमेज की संख्या।

उन्नत images · output_format · enable_safety_checker
image_urls
फ़ाइल ड्रॉप करें, या

संपादन के लिए इमेज URL, अधिकतम 3 इमेज की सूची के रूप में दिए गए।

output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

POST /run/xai/grok-imagine-image/quality/edit?wait=20 कोटेशन → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/quality/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Grok Imagine Image Editing Quality के बारे में

`prompt` में अधिकतम 8000 वर्णों का टेक्स्ट निर्देश और `image_urls` में अधिकतम 3 स्रोत इमेज लेता है, फिर संपादित संस्करण लौटाता है। `num_images` से 1 से 4 परिणाम माँगें, 1k या 2k `resolution` चुनें और jpeg, png या webp में आउटपुट लें। `aspect_ratio` auto होने पर आउटपुट पहली इनपुट इमेज का आकार बनाए रखता है। प्रतिक्रिया में संशोधित प्रॉम्प्ट शामिल होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 8,000 अक्षर
बनाई जाने वाली इमेज का टेक्स्ट में विवरण।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली इमेज की संख्या।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
इमेज संपादन के लिए आउटपुट आस्पेक्ट-रेशियो सेटिंग, जिसमें `auto` पहले इनपुट के अनुपातों का उपयोग करता है। यह स्वचालित सेटिंग डिफ़ॉल्ट है।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1k
1k2k
मानक (`1k`) और उच्च (`2k`) के बीच इमेज रिज़ॉल्यूशन का विकल्प।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
image_urlsवैकल्पिक images
प्रकारurl[] · image
संपादन के लिए इमेज URL, अधिकतम 3 इमेज की सूची के रूप में दिए गए।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/quality/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}एडिट की गई इमेज का URL।
revised_prompt
string | nullइमेज निर्माण के लिए उपयोग किया जाने वाला बेहतर प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/xai/grok-imagine-image/quality/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt